package capitulo03.bloque03;

import static capitulo03.utils.Utils.solicitarIntScanner;

public class Ejercicio2 {
    public static void main(String[] args) {
        int num = -1, mayor = 0, menor = 0;

        for (int i = 0; num != 0; i++) {
            num = solicitarIntScanner("Introduzca el siguiente número: (Si pone 0, terminará el programa)");
            if (i == 0 && num != 0) {
                mayor = num;
                menor = num;
            } else if (num != 0) {
                if (num > mayor) mayor = num;
                if (num < menor) menor = num;
            }
        }
        System.out.println("El mayor número de los números introducidos es: " + mayor);
        System.out.println("El menor número de los números introducidos es: " + menor);
    }
}

